#include <bits/stdc++.h>
using namespace std;
long long n,l;
long long niz[10020];
int main(){
    cin>>n>>l;
    for(int i=1;i<=n;i++){
        cin>>niz[i];
    }


    for(int i=1;i<=n;i++){
        if(niz[i]<=l){cout<<i<<endl; return 0;}
    }


    cout<<-1<<endl;

return  0;
}